-- A combinational circuit to calculate the even parity of an 8-bit vector

LIBRARY ieee;
USE  IEEE.STD_LOGIC_1164.all;

ENTITY parity_generator_8bit IS
	PORT (
		X_in   : IN STD_LOGIC_VECTOR(7 downto 0);
		EPB   : OUT STD_LOGIC 
	  
	 );
END parity_generator_8bit;

-- Defining the architecture using simply logic equations derived from the truth table 
-- Even parity is the function XOR

architecture logic_equations of parity_generator_8bit is

begin

   EPB  <=  X_in(0) XOR X_in(1) XOR X_in(2) XOR X_in(3) XOR X_in(4) XOR X_in(5) XOR X_in(6) XOR X_in(7);

end logic_equations;
